Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.persistence
Class JDBCUtil

    java.lang.Object
      org.jboss.messaging.core.persistence.JDBCUtil

public class JDBCUtil
extends java.lang.Object

Version:
  `$Revision: 1.5 $` $Id: JDBCUtil.java,v 1.5 2006/02/28 16:48:14 timfox Exp $
Author:
  Ovidiu Feodorov

Constructor Summary
`JDBCUtil()`

Method Summary
`static java.lang.String` | `statementToString(java.lang.String sql)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object[] args)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1, java.lang.Object arg2)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6)`
`static java.lang.String` | `statementToString(java.lang.String sql, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6, java.lang.Object arg7)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCUtil

    public JDBCUtil()

Method Detail

### statementToString

    public static java.lang.String statementToString(java.lang.String sql)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2,
                                                     java.lang.Object arg3)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2,
                                                     java.lang.Object arg3,
                                                     java.lang.Object arg4)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2,
                                                     java.lang.Object arg3,
                                                     java.lang.Object arg4,
                                                     java.lang.Object arg5)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2,
                                                     java.lang.Object arg3,
                                                     java.lang.Object arg4,
                                                     java.lang.Object arg5,
                                                     java.lang.Object arg6)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2,
                                                     java.lang.Object arg3,
                                                     java.lang.Object arg4,
                                                     java.lang.Object arg5,
                                                     java.lang.Object arg6,
                                                     java.lang.Object arg7)

### statementToString

    public static java.lang.String statementToString(java.lang.String sql,
                                                     java.lang.Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.